diff -Nru dracut-044+3/debian/changelog dracut-044+3/debian/changelog
--- dracut-044+3/debian/changelog	2015-11-29 12:49:04.000000000 +0000
+++ dracut-044+3/debian/changelog	2015-12-22 22:26:52.000000000 +0000
@@ -1,3 +1,9 @@
+dracut (044+3-2) UNRELEASED; urgency=medium
+
+  * Split dracut binary package into core and automation hooks
+
+ -- Ben Hutchings <ben@decadent.org.uk>  Tue, 22 Dec 2015 22:26:51 +0000
+
 dracut (044+3-1) unstable; urgency=low
 
   * new upstream, Closes: #802823
diff -Nru dracut-044+3/debian/control dracut-044+3/debian/control
--- dracut-044+3/debian/control	2015-11-29 10:44:31.000000000 +0000
+++ dracut-044+3/debian/control	2015-12-22 22:55:21.000000000 +0000
@@ -9,16 +9,25 @@
 Homepage: http://www.kernel.org/pub/linux/utils/boot/dracut/dracut.html
 
 Package: dracut
-Architecture: any
+Architecture: all
 Multi-Arch: foreign
-Recommends: cryptsetup, dmsetup, dmraid, lvm2, mdadm
 Suggests: dracut-network
-Depends: cpio, kmod, udev, kpartx, console-setup, util-linux (>= 2.20), pkg-config, ${shlibs:Depends}, ${misc:Depends}
-Breaks: dracut-network (<< 043-2)
-Replaces: dracut-network (<< 043-2)
+Depends: dracut-core (>= ${binary:Version}), dracut-core (<< ${binary:Version}+b+~)
 Provides: linux-initramfs-tool
 Conflicts: initramfs-tools, live-tools
-Description: Low-level tool for generating an initramfs image
+Description: Low-level tool for generating an initramfs image (automation)
+ This package builds a bootable initramfs for Linux kernel packages.  The
+ initramfs is loaded along with the kernel and is responsible for
+ mounting the root filesystem and starting the main init system.
+
+Package: dracut-core
+Architecture: any
+Multi-Arch: foreign
+Recommends: cryptsetup, dmsetup, dmraid, lvm2, mdadm
+Depends: cpio, kmod, udev, kpartx, console-setup, util-linux (>= 2.20), pkg-config, ${shlibs:Depends}, ${misc:Depends}
+Breaks: dracut-network (<< 043-2), dracut (<< 044+3-2~)
+Replaces: dracut-network (<< 043-2), dracut (<< 044+3-2~)
+Description: Low-level tool for generating an initramfs image (core tools)
  Unlike existing initramfs's, this is an attempt at having as little as
  possible hard-coded into the initramfs as possible.  The initramfs has
  (basically) one purpose in life -- getting the rootfs mounted so that
@@ -32,7 +41,7 @@
 Package: dracut-network
 Architecture: all
 Recommends: nfs-common, open-iscsi, nbd-client, curl
-Depends: dracut, iputils-arping, isc-dhcp-client, ${misc:Depends}
+Depends: dracut-core, iputils-arping, isc-dhcp-client, ${misc:Depends}
 Description: Low-level tool for generating an initramfs image
  Unlike existing initramfs's, this is an attempt at having as little as
  possible hard-coded into the initramfs as possible.  The initramfs has
@@ -46,12 +55,12 @@
 
 Package: dracut-config-generic
 Architecture: all
-Depends: dracut
+Depends: dracut-core
 Description: Low-level tool for generating an initramfs image
  This is the dracut configuration to turn off hostonly image generation
 
 Package: dracut-config-rescue
 Architecture: all
-Depends: dracut
+Depends: dracut-core
 Description: Low-level tool for generating an initramfs image
  This is the dracut configuration to turn on rescue image generation
diff -Nru dracut-044+3/debian/dracut-core.dirs dracut-044+3/debian/dracut-core.dirs
--- dracut-044+3/debian/dracut-core.dirs	1970-01-01 01:00:00.000000000 +0100
+++ dracut-044+3/debian/dracut-core.dirs	2015-12-22 22:32:13.000000000 +0000
@@ -0,0 +1,25 @@
+usr/lib/dracut
+usr/lib/dracut/modules.d/00dash
+usr/lib/dracut/modules.d/01fips
+usr/lib/dracut/modules.d/02fips-aesni
+usr/lib/dracut/modules.d/90crypt
+usr/lib/dracut/modules.d/90dm
+usr/lib/dracut/modules.d/90dmraid
+usr/lib/dracut/modules.d/90kernel-modules
+usr/lib/dracut/modules.d/90lvm
+usr/lib/dracut/modules.d/90mdraid
+usr/lib/dracut/modules.d/90multipath
+usr/lib/dracut/modules.d/95dasd
+usr/lib/dracut/modules.d/95dasd_mod
+usr/lib/dracut/modules.d/95debug
+usr/lib/dracut/modules.d/95resume
+usr/lib/dracut/modules.d/95rootfs-block
+usr/lib/dracut/modules.d/95terminfo
+usr/lib/dracut/modules.d/95udev-rules
+usr/lib/dracut/modules.d/98syslog
+usr/lib/dracut/modules.d/98usrmount
+usr/lib/dracut/modules.d/99base
+/var/lib/dracut
+/etc/dracut.conf.d
+/etc/bash_completion.d
+/etc/logrotate.d
diff -Nru dracut-044+3/debian/dracut-core.docs dracut-044+3/debian/dracut-core.docs
--- dracut-044+3/debian/dracut-core.docs	1970-01-01 01:00:00.000000000 +0100
+++ dracut-044+3/debian/dracut-core.docs	2015-11-29 10:44:31.000000000 +0000
@@ -0,0 +1,9 @@
+AUTHORS
+HACKING
+NEWS
+README
+README.generic
+README.kernel
+README.modules
+TODO
+dracut.html
diff -Nru dracut-044+3/debian/dracut-core.install dracut-044+3/debian/dracut-core.install
--- dracut-044+3/debian/dracut-core.install	1970-01-01 01:00:00.000000000 +0100
+++ dracut-044+3/debian/dracut-core.install	2015-12-22 22:38:12.000000000 +0000
@@ -0,0 +1,70 @@
+usr/bin/dracut
+usr/bin/dracut-catimages
+usr/bin/lsinitrd
+usr/lib/dracut/dracut-functions
+usr/lib/dracut/dracut-functions.sh
+usr/lib/dracut/dracut-init.sh
+usr/lib/dracut/dracut-initramfs-restore
+usr/lib/dracut/dracut-install
+usr/lib/dracut/skipcpio
+usr/lib/dracut/dracut-logger.sh
+lib/systemd/system
+usr/share/bash-completion/completions/dracut   etc/bash_completion.d
+usr/share/bash-completion/completions/lsinitrd etc/bash_completion.d
+dracut-version.sh		usr/lib/dracut
+debian/etc/10-debian.conf	etc/dracut.conf.d
+etc/dracut.conf                 etc
+debian/09console-setup          usr/lib/dracut/modules.d
+debian/90aufs			usr/lib/dracut/modules.d
+modules.d/00dash		usr/lib/dracut/modules.d
+modules.d/00bash		usr/lib/dracut/modules.d
+modules.d/00bootchart		usr/lib/dracut/modules.d
+modules.d/00systemd		usr/lib/dracut/modules.d
+modules.d/00systemd-bootchart	usr/lib/dracut/modules.d
+modules.d/01fips		usr/lib/dracut/modules.d
+modules.d/01systemd-initrd	usr/lib/dracut/modules.d
+modules.d/02caps		usr/lib/dracut/modules.d
+modules.d/02fips-aesni		usr/lib/dracut/modules.d
+modules.d/03modsign		usr/lib/dracut/modules.d
+modules.d/03rescue		usr/lib/dracut/modules.d
+modules.d/04watchdog		usr/lib/dracut/modules.d
+modules.d/05busybox		usr/lib/dracut/modules.d
+modules.d/30convertfs		usr/lib/dracut/modules.d
+modules.d/50drm			usr/lib/dracut/modules.d
+modules.d/50gensplash		usr/lib/dracut/modules.d
+modules.d/50plymouth		usr/lib/dracut/modules.d
+modules.d/90btrfs		usr/lib/dracut/modules.d
+modules.d/90crypt		usr/lib/dracut/modules.d
+modules.d/90dmraid		usr/lib/dracut/modules.d
+modules.d/90dmsquash-live	usr/lib/dracut/modules.d
+modules.d/90dm			usr/lib/dracut/modules.d
+modules.d/90kernel-modules	usr/lib/dracut/modules.d
+modules.d/90lvm			usr/lib/dracut/modules.d
+modules.d/90mdraid		usr/lib/dracut/modules.d
+modules.d/90multipath		usr/lib/dracut/modules.d
+modules.d/90qemu                usr/lib/dracut/modules.d
+modules.d/91crypt-gpg		usr/lib/dracut/modules.d
+modules.d/91crypt-loop          usr/lib/dracut/modules.d
+modules.d/95dasd_mod		usr/lib/dracut/modules.d
+modules.d/95dasd		usr/lib/dracut/modules.d
+modules.d/95dasd_rules		usr/lib/dracut/modules.d
+modules.d/95debug		usr/lib/dracut/modules.d
+modules.d/95fstab-sys		usr/lib/dracut/modules.d
+modules.d/95resume		usr/lib/dracut/modules.d
+modules.d/95rootfs-block	usr/lib/dracut/modules.d
+modules.d/95terminfo		usr/lib/dracut/modules.d
+modules.d/95udev-rules		usr/lib/dracut/modules.d
+modules.d/96securityfs		usr/lib/dracut/modules.d
+modules.d/97biosdevname		usr/lib/dracut/modules.d
+modules.d/97masterkey		usr/lib/dracut/modules.d
+modules.d/98dracut-systemd	usr/lib/dracut/modules.d
+modules.d/98ecryptfs		usr/lib/dracut/modules.d
+modules.d/98integrity		usr/lib/dracut/modules.d
+modules.d/98pollcdrom		usr/lib/dracut/modules.d
+modules.d/98selinux		usr/lib/dracut/modules.d
+modules.d/98syslog		usr/lib/dracut/modules.d
+modules.d/98usrmount		usr/lib/dracut/modules.d
+modules.d/99base		usr/lib/dracut/modules.d
+modules.d/99fs-lib		usr/lib/dracut/modules.d
+modules.d/99img-lib		usr/lib/dracut/modules.d
+modules.d/99shutdown		usr/lib/dracut/modules.d
diff -Nru dracut-044+3/debian/dracut-core.logrotate dracut-044+3/debian/dracut-core.logrotate
--- dracut-044+3/debian/dracut-core.logrotate	1970-01-01 01:00:00.000000000 +0100
+++ dracut-044+3/debian/dracut-core.logrotate	2015-11-29 10:44:31.000000000 +0000
@@ -0,0 +1,7 @@
+/var/log/dracut.log {
+  rotate 12
+  monthly
+  compress
+  missingok
+  notifempty
+}
diff -Nru dracut-044+3/debian/dracut-core.manpages dracut-044+3/debian/dracut-core.manpages
--- dracut-044+3/debian/dracut-core.manpages	1970-01-01 01:00:00.000000000 +0100
+++ dracut-044+3/debian/dracut-core.manpages	2015-11-29 10:44:31.000000000 +0000
@@ -0,0 +1,9 @@
+dracut.8
+dracut.conf.5
+dracut.modules.7
+dracut.bootup.7
+dracut.cmdline.7
+dracut-catimages.8
+lsinitrd.1
+mkinitrd.8
+debian/tmp/usr/share/man/man8/*
diff -Nru dracut-044+3/debian/dracut-core.postrm dracut-044+3/debian/dracut-core.postrm
--- dracut-044+3/debian/dracut-core.postrm	1970-01-01 01:00:00.000000000 +0100
+++ dracut-044+3/debian/dracut-core.postrm	2015-11-29 10:44:31.000000000 +0000
@@ -0,0 +1,13 @@
+#! /bin/sh
+
+set -e
+
+case "$1" in
+    purge)
+	rm -f /var/log/dracut.log*
+	;;
+esac
+
+#DEBHELPER#
+
+exit 0
diff -Nru dracut-044+3/debian/dracut.dirs dracut-044+3/debian/dracut.dirs
--- dracut-044+3/debian/dracut.dirs	2015-11-29 10:44:31.000000000 +0000
+++ dracut-044+3/debian/dracut.dirs	2015-12-22 22:32:17.000000000 +0000
@@ -1,27 +1,2 @@
-usr/lib/dracut
-usr/lib/dracut/modules.d/00dash
-usr/lib/dracut/modules.d/01fips
-usr/lib/dracut/modules.d/02fips-aesni
-usr/lib/dracut/modules.d/90crypt
-usr/lib/dracut/modules.d/90dm
-usr/lib/dracut/modules.d/90dmraid
-usr/lib/dracut/modules.d/90kernel-modules
-usr/lib/dracut/modules.d/90lvm
-usr/lib/dracut/modules.d/90mdraid
-usr/lib/dracut/modules.d/90multipath
-usr/lib/dracut/modules.d/95dasd
-usr/lib/dracut/modules.d/95dasd_mod
-usr/lib/dracut/modules.d/95debug
-usr/lib/dracut/modules.d/95resume
-usr/lib/dracut/modules.d/95rootfs-block
-usr/lib/dracut/modules.d/95terminfo
-usr/lib/dracut/modules.d/95udev-rules
-usr/lib/dracut/modules.d/98syslog
-usr/lib/dracut/modules.d/98usrmount
-usr/lib/dracut/modules.d/99base
-/var/lib/dracut
-/etc/dracut.conf.d
-/etc/bash_completion.d
 /etc/kernel/postinst.d
 /etc/kernel/postrm.d
-/etc/logrotate.d
diff -Nru dracut-044+3/debian/dracut.docs dracut-044+3/debian/dracut.docs
--- dracut-044+3/debian/dracut.docs	2015-11-29 10:44:31.000000000 +0000
+++ dracut-044+3/debian/dracut.docs	1970-01-01 01:00:00.000000000 +0100
@@ -1,9 +0,0 @@
-AUTHORS
-HACKING
-NEWS
-README
-README.generic
-README.kernel
-README.modules
-TODO
-dracut.html
diff -Nru dracut-044+3/debian/dracut.install dracut-044+3/debian/dracut.install
--- dracut-044+3/debian/dracut.install	2015-11-29 10:44:31.000000000 +0000
+++ dracut-044+3/debian/dracut.install	2015-12-22 22:38:08.000000000 +0000
@@ -1,71 +1 @@
-usr/bin/dracut
-usr/bin/dracut-catimages
-usr/bin/lsinitrd
-usr/lib/dracut/dracut-functions
-usr/lib/dracut/dracut-functions.sh
-usr/lib/dracut/dracut-init.sh
-usr/lib/dracut/dracut-initramfs-restore
-usr/lib/dracut/dracut-install
-usr/lib/dracut/skipcpio
-usr/lib/dracut/dracut-logger.sh
-lib/systemd/system
-usr/share/bash-completion/completions/dracut   etc/bash_completion.d
-usr/share/bash-completion/completions/lsinitrd etc/bash_completion.d
-dracut-version.sh		usr/lib/dracut
 debian/kernel                   etc
-debian/etc/10-debian.conf	etc/dracut.conf.d
-etc/dracut.conf                 etc
-debian/09console-setup          usr/lib/dracut/modules.d
-debian/90aufs			usr/lib/dracut/modules.d
-modules.d/00dash		usr/lib/dracut/modules.d
-modules.d/00bash		usr/lib/dracut/modules.d
-modules.d/00bootchart		usr/lib/dracut/modules.d
-modules.d/00systemd		usr/lib/dracut/modules.d
-modules.d/00systemd-bootchart	usr/lib/dracut/modules.d
-modules.d/01fips		usr/lib/dracut/modules.d
-modules.d/01systemd-initrd	usr/lib/dracut/modules.d
-modules.d/02caps		usr/lib/dracut/modules.d
-modules.d/02fips-aesni		usr/lib/dracut/modules.d
-modules.d/03modsign		usr/lib/dracut/modules.d
-modules.d/03rescue		usr/lib/dracut/modules.d
-modules.d/04watchdog		usr/lib/dracut/modules.d
-modules.d/05busybox		usr/lib/dracut/modules.d
-modules.d/30convertfs		usr/lib/dracut/modules.d
-modules.d/50drm			usr/lib/dracut/modules.d
-modules.d/50gensplash		usr/lib/dracut/modules.d
-modules.d/50plymouth		usr/lib/dracut/modules.d
-modules.d/90btrfs		usr/lib/dracut/modules.d
-modules.d/90crypt		usr/lib/dracut/modules.d
-modules.d/90dmraid		usr/lib/dracut/modules.d
-modules.d/90dmsquash-live	usr/lib/dracut/modules.d
-modules.d/90dm			usr/lib/dracut/modules.d
-modules.d/90kernel-modules	usr/lib/dracut/modules.d
-modules.d/90lvm			usr/lib/dracut/modules.d
-modules.d/90mdraid		usr/lib/dracut/modules.d
-modules.d/90multipath		usr/lib/dracut/modules.d
-modules.d/90qemu                usr/lib/dracut/modules.d
-modules.d/91crypt-gpg		usr/lib/dracut/modules.d
-modules.d/91crypt-loop          usr/lib/dracut/modules.d
-modules.d/95dasd_mod		usr/lib/dracut/modules.d
-modules.d/95dasd		usr/lib/dracut/modules.d
-modules.d/95dasd_rules		usr/lib/dracut/modules.d
-modules.d/95debug		usr/lib/dracut/modules.d
-modules.d/95fstab-sys		usr/lib/dracut/modules.d
-modules.d/95resume		usr/lib/dracut/modules.d
-modules.d/95rootfs-block	usr/lib/dracut/modules.d
-modules.d/95terminfo		usr/lib/dracut/modules.d
-modules.d/95udev-rules		usr/lib/dracut/modules.d
-modules.d/96securityfs		usr/lib/dracut/modules.d
-modules.d/97biosdevname		usr/lib/dracut/modules.d
-modules.d/97masterkey		usr/lib/dracut/modules.d
-modules.d/98dracut-systemd	usr/lib/dracut/modules.d
-modules.d/98ecryptfs		usr/lib/dracut/modules.d
-modules.d/98integrity		usr/lib/dracut/modules.d
-modules.d/98pollcdrom		usr/lib/dracut/modules.d
-modules.d/98selinux		usr/lib/dracut/modules.d
-modules.d/98syslog		usr/lib/dracut/modules.d
-modules.d/98usrmount		usr/lib/dracut/modules.d
-modules.d/99base		usr/lib/dracut/modules.d
-modules.d/99fs-lib		usr/lib/dracut/modules.d
-modules.d/99img-lib		usr/lib/dracut/modules.d
-modules.d/99shutdown		usr/lib/dracut/modules.d
diff -Nru dracut-044+3/debian/dracut.logrotate dracut-044+3/debian/dracut.logrotate
--- dracut-044+3/debian/dracut.logrotate	2015-11-29 10:44:31.000000000 +0000
+++ dracut-044+3/debian/dracut.logrotate	1970-01-01 01:00:00.000000000 +0100
@@ -1,7 +0,0 @@
-/var/log/dracut.log {
-  rotate 12
-  monthly
-  compress
-  missingok
-  notifempty
-}
diff -Nru dracut-044+3/debian/dracut.manpages dracut-044+3/debian/dracut.manpages
--- dracut-044+3/debian/dracut.manpages	2015-11-29 10:44:31.000000000 +0000
+++ dracut-044+3/debian/dracut.manpages	1970-01-01 01:00:00.000000000 +0100
@@ -1,9 +0,0 @@
-dracut.8
-dracut.conf.5
-dracut.modules.7
-dracut.bootup.7
-dracut.cmdline.7
-dracut-catimages.8
-lsinitrd.1
-mkinitrd.8
-debian/tmp/usr/share/man/man8/*
diff -Nru dracut-044+3/debian/dracut.postrm dracut-044+3/debian/dracut.postrm
--- dracut-044+3/debian/dracut.postrm	2015-11-29 10:44:31.000000000 +0000
+++ dracut-044+3/debian/dracut.postrm	1970-01-01 01:00:00.000000000 +0100
@@ -1,13 +0,0 @@
-#! /bin/sh
-
-set -e
-
-case "$1" in
-    purge)
-	rm -f /var/log/dracut.log*
-	;;
-esac
-
-#DEBHELPER#
-
-exit 0
